# frozen_string_literal: true

require 'ogatstyle/version'
require 'ogatstyle/fileicon'

# Implement Outwood web style
module Ogatstyle
  module Rails
    # Integrate through Rails engine
    class Engine < ::Rails::Engine
      require 'bootstrap-sass'
      require 'font-awesome-sass'

      initializer 'ogatstyle.assets.precompile' do |app|
        app.config.assets.precompile << 'ogatstyle/swirl-white-nav.png'
        app.config.assets.precompile << 'ogatstyle/swirl-white-nav2x.png'
        Fileicon::MAPPING.values.concat(['default']).uniq.each do |ext|
          app.config.assets.precompile << "fileicon/#{ext}.png"
        end
      end
    end
  end
end
